Skip to main content
GET
/
v2
/
payouts
/
{payoutId}
Check payout status
curl --request GET \
  --url https://api.sandbox.pawapay.io/v2/payouts/{payoutId} \
  --header 'Authorization: Bearer <token>'
{
  "status": "FOUND",
  "data": {
    "payoutId": "8917c345-4791-4285-a416-62f24b6982db",
    "status": "COMPLETED",
    "amount": "123.00",
    "currency": "ZMW",
    "country": "ZMB",
    "recipient": {
      "type": "MMO",
      "accountDetails": {
        "phoneNumber": "260763456789",
        "provider": "MTN_MOMO_ZMB"
      }
    },
    "clientReferenceId": "REF-987654321",
    "customerMessage": "From ACME company",
    "created": "2020-10-19T08:17:01Z",
    "providerTransactionId": "12356789",
    "metadata": {
      "orderId": "ORD-123456789",
      "customerId": "customer@email.com"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.pawapay.io/llms.txt

Use this file to discover all available pages before exploring further.

Get the current status of the payout based on its payoutId.

Authorizations

Authorization
string
header
required

Path Parameters

payoutId
string<uuid>
required

The id of the payout that you are performing this operation on.

Required string length: 36

Response

Request has been processed by pawaPay

status
enum<string>
required

The result of this operation.

  • FOUND - The payment was found in pawaPay.
  • NOT_FOUND - The payment was not found in pawaPay.
Available options:
FOUND,
NOT_FOUND
data
object